unit MachDev_Base;

interface

type
  TMachDev_Base = class
  private
  protected
  public
    constructor Create(s: string; var idx: integer);
    Destructor Destroy; override;
    function Start: boolean; virtual;
    procedure Stop; virtual;
    function CanStop: boolean; virtual;
    function Work: boolean; virtual;
  end;

  function CreateDevice(s: string; var idx: integer);

implementation


function CreateDevice(s: string; var idx: integer);
begin
end;


{ TMachDev_Base }

constructor TMachDev_Base.Create(s: string; var idx: integer);
begin

end;

destructor TMachDev_Base.Destroy;
begin
  inherited;
end;

// ÇÀÏÓÑÊ
function TMachDev_Base.Start: boolean;
begin
  result:=true;
end;

// ÎÑÒÀÍÎÂ
procedure TMachDev_Base.Stop;
begin

end;

// CAN STOP?
function TMachDev_Base.CanStop: boolean;
begin
  result:=true;
end;

// ÐÀÁÎÒÀ
function TMachDev_Base.Work: boolean;
begin
  result:=true;
end;

end.
